Bug 76254 - 'rup' failure doesn't set return value
Summary: 'rup' failure doesn't set return value
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rusers   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-18 19:02 UTC by Jay Turner
Modified: 2015-03-05 01:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-03 13:47:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Turner 2002-10-18 19:02:19 UTC
Description of Problem:
Executing 'rup bogushost' sets the return code to '0' and it should set it to
something non-zero.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Phil Knirsch 2004-04-15 13:39:52 UTC
The problem with this is that you can specify multiple hosts on the
commandline and there would be no way to figure out which one(s) failed.

And simply setting the exit code to 1 in case any of the hosts failed
isn't really helping a lot.

If you can give me a really good reason why this should be changed i
can certainly do it, but i don't see it.

Read ya, Phil

Comment 2 Jay Turner 2004-06-03 13:47:57 UTC
I'll buy that for a buck.  Closing out.


Note You need to log in before you can comment on or make changes to this bug.